<?php

use Raabeschule\Setup;
use Raabeschule\Wrapper;

?>

<!doctype html>
<html <?php language_attributes(); ?>>
<?php get_template_part('templates/head'); ?>
<body <?php body_class(); ?>>
<div id="wrap-all">
  <!--[if IE]>
  <div class="alert alert-warning">
    <?php _e('You are using an <strong>outdated</strong> browser. Please <a href="http://browsehappy.com/">upgrade your browser</a> to improve your experience.', 'raabeschule'); ?>
  </div>
  <![endif]-->
  <?php
  do_action('get_header');
  get_template_part('templates/header');
  ?>
  <div class="page-body">
    <?php if(is_home()) get_template_part('templates/home_carousel'); ?>
    <div class="wrap container" role="document">
      <div class="content row">
        <main class="main">
          <div class="breadcrumbs" typeof="BreadcrumbList" vocab="http://schema.org/">
            <?php if(function_exists('bcn_display') && !is_home())
            {
              bcn_display();
            }?>
          </div>
          <?php include Wrapper\template_path(); ?>
        </main><!-- /.main -->
        <?php if (Setup\display_sidebar()) : ?>
          <aside class="sidebar">
            <?php include Wrapper\sidebar_path(); ?>
          </aside><!-- /.sidebar -->
        <?php endif; ?>
      </div><!-- /.content -->
    </div><!-- /.wrap -->
  </div>
</div>

<?php
do_action('get_footer');
get_template_part('templates/footer');
wp_footer();
?>
</body>
</html>
