<?php
/**
 * Sage includes
 *
 * The $sage_includes array determines the code library included in your theme.
 * Add or remove files to the array as needed. Supports child theme overrides.
 *
 * Please note that missing files will produce a fatal error.
 *
 * @link https://github.com/roots/sage/pull/1042
 */
$includes = [
  'lib/assets.php',    // Scripts and stylesheets
  'lib/extras.php',    // Custom functions
  'lib/setup.php',     // Theme setup
  'lib/titles.php',    // Page titles
  'lib/wrapper.php',   // Theme wrapper class
  'lib/customizer.php', // Theme customizer
  'lib/wp_bootstrap_navwalker.php', // Bootstrap Nav
  'lib/sidebar.php', // Adding custom sidebars to pages
  'lib/loop_in_page.php', // To enable loops in pages
];

foreach ($includes as $file) {
  if (!$filepath = locate_template($file)) {
    trigger_error(sprintf(__('Error locating %s for inclusion', 'sage'), $file), E_USER_ERROR);
  }

  require_once $filepath;
}
unset($file, $filepath);

//add_action( 'pre_get_posts',  'set_posts_per_page'  );

/*
function set_posts_per_page( $query ) {

  global $wp_the_query;
  if(is_page(5958))
  {
   $query->set( 'posts_per_page', 10);
  }
  return $query;
}
*/

function remove_readmore_empty_popups() {
	
        ?>

	<script type="text/javascript">

	jQuery( document ).ready( function() {

		var $timeline = jQuery( '.timeline-express' );

		$timeline.children( 'div' ).each( function() {

			var $content  = jQuery( this ).find( '.the-excerpt' ).text().replace( 'Read ', '' ).trim(),
			    $readmore = jQuery( this ).find( '.popups-read-more-link' );

			if ( '' === $content ) {

				$readmore.remove();

			}

		} );

	} )

	</script>

	<?php

}
add_action( 'wp_head', 'remove_readmore_empty_popups' );


//Exlude Raabeblog category from home
function exclude_category($query) {
if ( $query->is_home() ) {
$query->set('cat', '-38');
}
return $query;
}
add_filter('pre_get_posts', 'exclude_category');