<?php

namespace Raabeschule\PageLoop;

add_shortcode('posts', __NAMESPACE__ . '\\loop_in_page');

function loop_in_page($attr) {

  // Get current page out of the current query, if available..if not set to 1.
  $paged = get_query_var( 'paged' ) ? intval( get_query_var( 'paged' ) ) : 1;

  $query_args = array('post_type' => 'post');

  if(isset($attr['cat'])) $query_args['cat'] = $attr['cat'];
  if(isset($attr['post_type'])) $query_args['post_type'] = $attr['post_type'];
  if(isset($attr['posts_per_page'])) {
    $query_args['posts_per_page'] = $attr['posts_per_page'];
  $query_args['paged'] = max(1, $paged);
  }
  else 
  { 
  $query_args['posts_per_page'] = 5;
  };
 
  $query = new \WP_Query($query_args);
  $result = '';
  if($query->have_posts()) {
    $result .= '<div class="loop_in_page">';
    while ($query->have_posts()) {
      $query->the_post();
      ob_start();
      get_template_part('templates/content');
      $result .= ob_get_clean();

}
      // Custom query loop pagination
      $result .= '<div class="pagination">';
      $result .= previous_posts_link( 'Older Posts' );
      $result .= next_posts_link( 'Newer Posts', $query_args->max_num_pages );  
      $result .= '</div>';
      $result .= '</div>';

  } else {
    $result .= '<div class="alert alert-warning">' . _e('Sorry, but the page you were trying to view does not exist.', 'raabeschule') . '</div>';
  }
  return $result;
}
