<?php
/**
 * Template Name: Topic with Sidebar
 *
 * @package Raabeschule
 */
the_post();
$sidebar = do_shortcode(get_post_custom(get_the_ID())['sidebar_body'][0]);
$sidebar_title = get_post_custom(get_the_ID())['sidebar_title'][0];
?>
  <article class="custom-sidebar-page<?php echo ($sidebar ? ' has-sidebar' : '');?>">
    <header>
      <h1 class="topic-title"> – <span class="title-text"><?php the_title() ?></span> – </h1>
    </header>
    <div class="topic-page row">
      <ul>
        <?php
        $posts = get_pages(array('child_of' => get_the_ID(), 'parent' => get_the_ID(), 'orderby' => 'menu_order'));
        foreach($posts as $post){
          $thumbnail = wp_get_attachment_image_src(get_post_thumbnail_id($post->ID), 'raabeschule'); ?>
          <a href="<?php the_permalink() ?>">
            <div class="topic-list-child-container col-md-4 col-xs-12">
              <li class="topic-list-child">
                <?php if($thumbnail) echo '<div class="overlay"></div><img src="' . $thumbnail[0] . '" alt="Thumbnail" class="post-thumbnail">'; ?>
                <div class="child-title"><?php the_title(); ?></div>
              </li>
            </div>
          </a>
        <?php } ?>
      </ul>
    </div>
    <div class="entry-content">
      <?php the_content();?>
    </div>
  </article>
  <aside class="sidebar page-sidebar">
    <h2 class="page-sidebar-title"><?php echo $sidebar_title; ?></h2>
    <?php echo $sidebar; ?>
  </aside>

<?php wp_link_pages(['before' => '<nav class="page-nav"><p>' . __('Pages:', 'raabeschule'), 'after' => '</p></nav>']); ?>